Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005572TestLinkTest Execute - Filterspublic2013-03-18 16:412013-05-22 20:57
Reporterrmachado 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS Version2008 R2
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005572: Filter by Platforms - Wrong test case state count in test plan execution
DescriptionI have made an update from 1.9.4 to 1.9.6, but in the new version the filtering by platform seems to be ignored and the test case count is not being correctly displayed.

In the process of trying to fix it I have update to 1.9.7 but the problem remains.

Steps To ReproduceJust install the new version over my already existent database.

Additional InformationPlease LMK what do you need.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySql
BrowserChrome, IE
PHP Version5.3.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon errorCounting.png [^] (27,628 bytes) 2013-03-18 16:41

- Relationships
related to 0005566closedfman "Assigned to" does not work in "test execution" page 
has duplicate 0005580closedfman Filters has no effect in Test Execution when same sets of test cases are assigned by Platform 
related to 0005681closedfman Test cases are not filtered based on platform 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018466)
joni_piter (reporter)
2013-03-18 16:56

At a first glance, it seems to me that test cases that were NOT RUN in a specific platform, after upgrade, will appear on other platforms where they should not be at all. (I use the same instalation than machado)
(0018468)
fman (administrator)
2013-03-18 17:50

Unfortunatelly, without detailed scenario and detailed steps to reproduce, we can not work on this.
on www.teamst.org

http://www.teamst.org/forum/viewforum.php?f=31&sid=1d56739f0d1e82902634ba7671a43d2c [^]

http://www.teamst.org/forum/viewtopic.php?f=33&t=7049&sid=1d56739f0d1e82902634ba7671a43d2c [^]

we have explained level of detail requested

thanks for your collaboration
(0018471)
rmachado (reporter)
2013-03-18 17:57

Thanks for the reply but in fact the only thing I done was:
Unzipped the version;
Upgrade manually the database;
Made the necessary changes to database access file;
Access the new version;

Is there another way to provide you more intel?
(0018472)
fman (administrator)
2013-03-18 19:23

need an step by step example.
please read links as suggested
(0018477)
fman (administrator)
2013-03-18 21:48

@joni_piter: your hint was important, thanks.

Please try
http://gitorious.org/testlink-ga/testlink-code/commit/47e161b49206de900da34089e6a87c6252485c94 [^]

and provide feedback
(0018482)
joni_piter (reporter)
2013-03-19 10:23

Thanks for the quick response. We will try the fix and provide feedback as soon as possible (probably only tomorrow)
(0018502)
rmachado (reporter)
2013-03-20 13:39

@fman

It is now showing the same values on both versions.
(0018768)
tintin (reporter)
2013-04-25 07:16

Yes, the fix provide at comment#18477 fix this problem, thanks fman :)

http://gitorious.org/testlink-ga/testlink-code/commit/47e161b49206de900da34089e6a87c6252485c94 [^]

- Issue History
Date Modified Username Field Change
2013-03-18 16:41 rmachado New Issue
2013-03-18 16:41 rmachado File Added: errorCounting.png
2013-03-18 16:56 joni_piter Note Added: 0018466
2013-03-18 17:50 fman Note Added: 0018468
2013-03-18 17:57 rmachado Note Added: 0018471
2013-03-18 19:23 fman Note Added: 0018472
2013-03-18 21:30 fman Summary Wrong test case state count in test plan execution => Filter by Platforms - Wrong test case state count in test plan execution
2013-03-18 21:48 fman Note Added: 0018477
2013-03-18 21:49 fman Relationship added related to 0005566
2013-03-18 21:49 fman Relationship added child of 0005551
2013-03-18 21:49 fman Tag Attached: TO BE FIXED on 2.0
2013-03-18 21:49 fman Assigned To => fman
2013-03-18 21:49 fman Status new => feedback
2013-03-19 10:23 joni_piter Note Added: 0018482
2013-03-20 13:39 rmachado Note Added: 0018502
2013-03-20 13:39 rmachado Status feedback => assigned
2013-03-20 13:56 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-20 13:56 fman Status assigned => resolved
2013-03-20 13:56 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-20 13:56 fman Resolution open => fixed
2013-03-20 22:14 fman Relationship added has duplicate 0005580
2013-04-25 07:16 tintin Note Added: 0018768
2013-05-04 06:56 fman Relationship added related to 0005681
2013-05-22 20:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker